<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
    <title>CORK Admin Template - Tabs UI Kit</title>
    <link rel="icon" type="image/x-icon" href="/assets/img/favicon.ico" />
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <%-include('./partials/header')%>
    <!-- END PAGE LEVEL CUSTOM STYLES -->
</head>

<body class="sidebar-noneoverflow" data-spy="scroll" data-target="#navSection" data-offset="100">

    <!--  BEGIN NAVBAR  -->
    <%-include('../partials/navbar')%>
    <!--  END NAVBAR  -->

    <!--  BEGIN MAIN CONTAINER  -->
    <div class="main-container" id="container">

        <!--  BEGIN SIDEBAR  -->
        <%-include('../partials/sidebar')%>
        <!--  END SIDEBAR  -->

        <!--  BEGIN CONTENT AREA  -->
        <div id="content" class="main-content">
            <div class="layout-px-spacing">
                <!-- <div class="container"> -->

                <div class="row">
                    <div class="col-lg-12 col-12 layout-top-spacing">
                        <div class="statbox widget box box-shadow">
                            <div class="widget-header">
                                <div class="row">
                                    <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                        <h4 style="font-size: 22px;">จัดการออเดอร์</h4>
                                    </div>
                                </div>
                            </div>
                            <div class="widget-content widget-content-area border-tab">

                                <ul class="nav nav-tabs mt-3" id="border-tabs" role="tablist">
                                    <li class="nav-item">
                                        <a class="nav-link" id="waiting-tab" data-toggle="tab" href="#waiting"
                                            role="tab" aria-controls="waiting" aria-selected="true"
                                            style="font-size: 16px;"><svg xmlns="http://www.w3.org/2000/svg" width="24"
                                                height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor"
                                                stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                                                class="feather feather-alert-circle">
                                                <circle cx="12" cy="12" r="10"></circle>
                                                <line x1="12" y1="8" x2="12" y2="12"></line>
                                                <line x1="12" y1="16" x2="12.01" y2="16"></line>
                                            </svg>
                                            รอตรวจสอบ</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link active" id="confirm-tab" data-toggle="tab" href="#confirm"
                                            role="tab" aria-controls="confirm" aria-selected="false"
                                            style="font-size: 16px;"><svg xmlns="http://www.w3.org/2000/svg" width="24"
                                                height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor"
                                                stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                                                class="feather feather-user">
                                                <path d="M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2"></path>
                                                <circle cx="12" cy="7" r="4"></circle>
                                            </svg> รอดำเนินการ</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" id="packing-tab" data-toggle="tab" href="#packing"
                                            role="tab" aria-controls="packing" aria-selected="false"
                                            style="font-size: 16px;"><svg xmlns="http://www.w3.org/2000/svg" width="24"
                                                height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor"
                                                stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                                                class="feather feather-package">
                                                <line x1="16.5" y1="9.4" x2="7.5" y2="4.21"></line>
                                                <path
                                                    d="M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z">
                                                </path>
                                                <polyline points="3.27 6.96 12 12.01 20.73 6.96"></polyline>
                                                <line x1="12" y1="22.08" x2="12" y2="12"></line>
                                            </svg>
                                            เตรียมแพ็ค</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" id="delivery-tab" data-toggle="tab" href="#delivery"
                                            role="tab" aria-controls="delivery" aria-selected="false"
                                            style="font-size: 16px;"><svg xmlns="http://www.w3.org/2000/svg" width="24"
                                                height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor"
                                                stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                                                class="feather feather-truck">
                                                <rect x="1" y="3" width="15" height="13"></rect>
                                                <polygon points="16 8 20 8 23 11 23 16 16 16 16 8"></polygon>
                                                <circle cx="5.5" cy="18.5" r="2.5"></circle>
                                                <circle cx="18.5" cy="18.5" r="2.5"></circle>
                                            </svg>
                                            กำลังจัดส่ง</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" id="success-tab" data-toggle="tab" href="#success"
                                            role="tab" aria-controls="success" aria-selected="false"
                                            style="font-size: 16px;"><svg xmlns="http://www.w3.org/2000/svg" width="24"
                                                height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor"
                                                stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                                                class="feather feather-check-circle">
                                                <path d="M22 11.08V12a10 10 0 1 1-5.93-9.14"></path>
                                                <polyline points="22 4 12 14.01 9 11.01"></polyline>
                                            </svg>
                                            ส่งสำเร็จ</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" id="cancel-tab" data-toggle="tab" href="#cancel" role="tab"
                                            aria-controls="cancel" aria-selected="false" style="font-size: 16px;"><svg
                                                xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                                viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                                                stroke-linecap="round" stroke-linejoin="round"
                                                class="feather feather-x-square">
                                                <rect x="3" y="3" width="18" height="18" rx="2" ry="2"></rect>
                                                <line x1="9" y1="9" x2="15" y2="15"></line>
                                                <line x1="15" y1="9" x2="9" y2="15"></line>
                                            </svg>
                                            ยกเลิก/ตีกลับ</a>
                                    </li>
                                </ul>
                                <div class="tab-content mb-4" id="border-tabsContent">
                                    <div class="tab-pane fade" id="waiting" role="tabpanel"
                                        aria-labelledby="border-home-tab">
                                        <div class="form-group mb-4 col-12 col-lg-12">
                                            <div class="row">
                                                <div class="col-lg-4 col-12">
                                                    <select class="form-control" id="slip_select">
                                                        <option value="0">เลือกสถานะสลิป</option>
                                                        <option value="2">ยืนยันสลิป</option>
                                                        <option value="5">ยกเลิกสลิป</option>
                                                    </select>
                                                </div>
                                                <div class="col-lg-2 col-12 mt-2">
                                                    <button class="btn btn-success" id="slip_btn">เปลี่ยนสถานะ</button>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="table-responsive mb-4 style-1">
                                            <table id="style-1" class="table style-1  table-hover">
                                                <thead>
                                                    <tr>
                                                        <th class="checkbox-columnall-s"> Record Id </th>
                                                        <th hidden>id</th>
                                                        <th>ลำดับ</th>
                                                        <th>ช่องทาง</th>
                                                        <th>เลขออเดอร์</th>
                                                        <th>ชื่อลูกค้า</th>
                                                        <th>นามสกุล</th>
                                                        <th>เบอร์โทร</th>
                                                        <th>ยอดรวม</th>
                                                        <th>การชำระเงิน</th>
                                                        <th>ธนาคาร</th>
                                                        <th class="text-center">Status</th>
                                                        <th>วันที่สั่งซื้อ</th>
                                                        <th class="text-center">Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <%let i = 0; data.filter((e)=> e.order_status === 1).forEach((result)=>{ i++;%>
                                                        <tr>
                                                            <td class="checkbox-column-s">  </td>
                                                            <td class="id" hidden><%=result.id%></td>
                                                            <td><%=i%></td>
                                                            <td>
                                                                <span><img src="<%=result.channel_image%>"
                                                                        class="rounded-circle profile-img"
                                                                        alt="avatar"></span>
                                                            </td>
                                                            <td class="order_number"><%=result.order_number%></td>
                                                            <td><%=result.first_name%></td>
                                                            <td><%=result.last_name%></td>
                                                            <td><%=result.tel%></td>
                                                            <td>฿ <%=result.total%></td>
                                                            <td><span class="shadow-none badge badge-success"><%=result.payment_name%></span>
                                                            </td>
                                                            <td>
                                                                <span><img src="assets/img/90x90.jpg"
                                                                        class="rounded-circle profile-img"
                                                                        alt="avatar"></span>
                                                            </td>
                                                            <td class="text-center"><span
                                                                    class="shadow-none badge badge-warning">รอตรวจสอบ</span>
                                                            </td>
                                                            <td><%=result.order_date%></td>
                                                            <td class="text-center">
                                                                <% if(result.payment_type == 2){ %>
                                                                <a href="javascript:void(0);" class="bs-tooltip" 
                                                                    data-toggle="modal" data-placement="top" title=""
                                                                    data-original-title="ยืนยันสลิป"
                                                                    data-target="#ConfirmSlip_<%=result.id%>"><svg
                                                                        xmlns="http://www.w3.org/2000/svg" width="24"
                                                                        height="24" viewBox="0 0 24 24" fill="none"
                                                                        stroke="currentColor" stroke-width="2"
                                                                        stroke-linecap="round" stroke-linejoin="round"
                                                                        class="feather feather-file table-confirm">
                                                                        <path
                                                                            d="M13 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V9z">
                                                                        </path>
                                                                        <polyline points="13 2 13 9 20 9"></polyline>
                                                                    </svg>
                                                                </a>
                                                                <% }else{ %>
                                                                    <a href="javascript:void(0);" class="bs-tooltip" onclick="btnconfirmSlip('<%=result.id%>','<%=result.order_number%>')"
                                                                        data-toggle="tooltip" data-placement="top" title=""
                                                                        data-original-title="ยืนยัน"><svg
                                                                            xmlns="http://www.w3.org/2000/svg" width="24"
                                                                            height="24" viewBox="0 0 24 24" fill="none"
                                                                            stroke="currentColor" stroke-width="2"
                                                                            stroke-linecap="round" stroke-linejoin="round"
                                                                            class="feather feather-check-circle table-confirm">
                                                                            <path d="M22 11.08V12a10 10 0 1 1-5.93-9.14"></path>
                                                                            <polyline points="22 4 12 14.01 9 11.01"></polyline>
                                                                        </svg>
                                                                    </a>
                                                                <% } %>
                                                                <a href="javascript:void(0);" class="bs-tooltip"
                                                                    data-toggle="tooltip" data-placement="top" title=""
                                                                    data-original-title="ยกเลิก" onclick="btnconfirmCancel('<%=result.id %>','<%=result.order_number %>')"><svg
                                                                        xmlns="http://www.w3.org/2000/svg" width="24"
                                                                        height="24" viewBox="0 0 24 24" fill="none"
                                                                        stroke="currentColor" stroke-width="2"
                                                                        stroke-linecap="round" stroke-linejoin="round"
                                                                        class="feather feather-x-circle table-cancel">
                                                                        <circle cx="12" cy="12" r="10"></circle>
                                                                        <line x1="15" y1="9" x2="9" y2="15"></line>
                                                                        <line x1="9" y1="9" x2="15" y2="15"></line>
                                                                    </svg></a>
                                                            </td>
                                                        </tr>
                                                        <%})%>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                    <div class="tab-pane fade show active" id="confirm" role="tabpanel"
                                        aria-labelledby="border-profile-tab">
                                        <button class="btn btn-success mb-3 text-center ml-3" id="add">เพิ่มออเดอร์</button>
                                        <% if(type_account == 0){ %>
                                            <div class="form-group mb-4 col-12 col-lg-12">
                                                <div class="row">
                                                    <div class="col-4 col-lg-2">
                                                        <select class="form-control" id="status_waiting">
                                                            <option value="0">เลือกสถานะออเดอร์</option>
                                                            <option value="3">ยืนยันออเดอร์</option>
                                                            <option value="5">ยกเลิกออเดอร์</option>
                                                        </select>
                                                    </div>
                                                    <div class="col-4 col-lg-2 mt-1">
                                                        <button class="btn btn-success" id="up_status">เปลี่ยนสถานะ</button>
                                                    </div>
                                                </div>
                                            </div>
                                        <% } %>
                                        <div class="table-responsive mb-4 style-2">
                                            <table id="style-2" class="table style-2 table-hover">
                                                <thead>
                                                    
                                                    <tr>
                                                        <th class="checkbox-columnall-w"> Record Id </th>
                                                        <th>ลำดับ</th>
                                                        <th>ช่องทาง</th>
                                                        <th>เลขออเดอร์</th>
                                                        <th>ชื่อลูกค้า</th>
                                                        <th>นามสกุล</th>
                                                        <th>เบอร์โทร</th>
                                                        <th>ปลายทาง</th>
                                                        <th>ยอดรวม</th>
                                                        <th>การชำระเงิน</th>
                                                        <th class="text-center">Status</th>
                                                        <th>วันที่สั่งซื้อ</th>
                                                        <th class="text-center">Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <%let j = 0; data.filter((e)=> e.order_status === 2).forEach((result)=>{ j++;%>
                                                    <tr>
                                                        <td class="checkbox-column-w"> 1 </td>
                                                        <td><%=j%></td>
                                                        <td>
                                                            <span><img src="<%=result.channel_image%>"
                                                                    class="rounded-circle profile-img" alt="avatar"
                                                                    width="50px" height="50px"></span>
                                                        </td>
                                                        <td class="order_number"><%=result.order_number%></td>
                                                        <td><%=result.first_name%></td>
                                                        <td><%=result.last_name%></td>
                                                        <td><%=result.tel%></td>
                                                        <td><%=result.province%></td>
                                                        <td>฿ <%=result.total%></td>
                                                        <td>
                                                            <span><img src="assets/img/90x90.jpg"
                                                                    class="rounded-circle profile-img" alt="avatar"
                                                                    width="50px" height="50px"></span>
                                                        </td>
                                                        <td class="text-center"><span
                                                                class="shadow-none badge badge-warning"><%=result.order_name%></span>
                                                        </td>
                                                        <td><%=result.order_date%></td>
                                                        <td class="text-center">
                                                            <% if(parseInt(locals.type) == 0){ %>
                                                                <a href="javascript:void(0);" class="bs-tooltip"
                                                                    data-toggle="tooltip" data-placement="top" title=""
                                                                    data-original-title="แก้ไข" onclick="edit('<%=result.order_number%>')"><svg
                                                                        xmlns="http://www.w3.org/2000/svg" width="24"
                                                                        height="24" viewBox="0 0 24 24" fill="none"
                                                                        stroke="currentColor" stroke-width="2"
                                                                        stroke-linecap="round" stroke-linejoin="round"
                                                                        class="feather feather-edit-2 table-edit">
                                                                        <path
                                                                            d="M17 3a2.828 2.828 0 1 1 4 4L7.5 20.5 2 22l1.5-5.5L17 3z">
                                                                        </path>
                                                                    </svg></a>
                                                            
                                                            <a href="javascript:void(0);" class="bs-tooltip" onclick="btnconfirmWaiting('<%=result.id%>','<%=result.order_number%>')"
                                                                data-toggle="tooltip" data-placement="top" title=""
                                                                data-original-title="ยืนยัน"><svg
                                                                    xmlns="http://www.w3.org/2000/svg" width="24"
                                                                    height="24" viewBox="0 0 24 24" fill="none"
                                                                    stroke="currentColor" stroke-width="2"
                                                                    stroke-linecap="round" stroke-linejoin="round"
                                                                    class="feather feather-check-circle table-confirm">
                                                                    <path d="M22 11.08V12a10 10 0 1 1-5.93-9.14"></path>
                                                                    <polyline points="22 4 12 14.01 9 11.01"></polyline>
                                                                </svg>
                                                            </a>
                                                            <% } %>
                                                            <a href="javascript:void(0);" class="bs-tooltip"
                                                                data-toggle="tooltip" data-placement="top" title=""
                                                                data-original-title="ยกเลิก" onclick="btnconfirmCancel('<%=result.id%>','<%=result.order_number%>')"><svg
                                                                    xmlns="http://www.w3.org/2000/svg" width="24"
                                                                    height="24" viewBox="0 0 24 24" fill="none"
                                                                    stroke="currentColor" stroke-width="2"
                                                                    stroke-linecap="round" stroke-linejoin="round"
                                                                    class="feather feather-x-circle table-cancel">
                                                                    <circle cx="12" cy="12" r="10"></circle>
                                                                    <line x1="15" y1="9" x2="9" y2="15"></line>
                                                                    <line x1="9" y1="9" x2="15" y2="15"></line>
                                                                </svg></a>
                                                        </td>
                                                    </tr>
                                                    <%})%>
                                                    
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                    <div class="tab-pane fade" id="packing" role="tabpanel"
                                        aria-labelledby="border-contact-tab">
                                        <% if(type_account == 0){ %> 
                                        <button class="btn btn-success mb-3 text-center ml-3" id="pdf"><svg
                                                    xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                                    viewBox="0 0 24 24" fill="none" stroke="currentColor"
                                                    stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                                                    class="feather feather-printer" >
                                                    <polyline points="6 9 6 2 18 2 18 9"></polyline>
                                                    <path
                                                        d="M6 18H4a2 2 0 0 1-2-2v-5a2 2 0 0 1 2-2h16a2 2 0 0 1 2 2v5a2 2 0 0 1-2 2h-2">
                                                    </path>
                                                    <rect x="6" y="14" width="12" height="8"></rect>
                                                </svg> พิมพ์ใบปะหน้าที่เลือก</button>
                                        <% } %>
                                        <div class="table-responsive mb-4 style-3">
                                            <table id="style-3" class="table style-3 table-hover">
                                                <thead>
                                                    <tr>
                                                        <th class="checkbox-columnall-d"> Record Id </th>
                                                        <th>ลำดับ</th>
                                                        <th>ช่องทาง</th>
                                                        <th>เลขออเดอร์</th>
                                                        <th>ชื่อลูกค้า</th>
                                                        <th>นามสกุล</th>
                                                        <th>เบอร์โทร</th>
                                                        <th>ปลายทาง</th>
                                                        <th style="width: 400px;">สินค้า</th>
                                                        <th class="text-center">Status</th>
                                                        <th>วันที่สั่งซื้อ</th>
                                                        <th class="text-center">Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <%let k = 0; data.filter((e)=> e.delivery_status === 0 && e.order_status === 3).forEach((result)=>{ k++;%>
                                                    <tr>
                                                        <td class="checkbox-column-d"> 1 </td>
                                                        <td><%=k%></td>
                                                        <td>
                                                            <span><img src="<%=result.channel_image%>"
                                                                    class="rounded-circle profile-img" alt="avatar"
                                                                    width="50px" height="50px"></span>
                                                        </td>
                                                        <td class="order_number"><%=result.order_number%></td>
                                                        <td><%=result.first_name%></td>
                                                        <td><%=result.last_name%></td>
                                                        <td><%=result.tel%></td>
                                                        <td><%=result.province%></td>
                                                        <td style="width: 400px;"><%=result.product %></td>
                                                        <td class="text-center"><span
                                                                class="shadow-none badge badge-warning">เตรียมแพ็ค</span>
                                                        </td>
                                                        <td><%=result.order_date%></td>
                                                        <td class="text-center" style="width: 100px;">
                                                            <% if(parseInt(locals.type) == 0){ %>
                                                            <a href="javascript:void(0);" class="bs-tooltip"
                                                                data-toggle="tooltip" data-placement="top" title=""
                                                                data-original-title="พิมพ์ใบปะหน้า" onclick="print('<%=result.order_number%>')"><svg
                                                                    xmlns="http://www.w3.org/2000/svg" width="24"
                                                                    height="24" viewBox="0 0 24 24" fill="none"
                                                                    stroke="currentColor" stroke-width="2"
                                                                    stroke-linecap="round" stroke-linejoin="round"
                                                                    class="feather feather-printer table-edit">
                                                                    <polyline points="6 9 6 2 18 2 18 9"></polyline>
                                                                    <path
                                                                        d="M6 18H4a2 2 0 0 1-2-2v-5a2 2 0 0 1 2-2h16a2 2 0 0 1 2 2v5a2 2 0 0 1-2 2h-2">
                                                                    </path>
                                                                    <rect x="6" y="14" width="12" height="8"></rect>
                                                                </svg></a>
                                                            <a href="javascript:void(0);" class="bs-tooltip"
                                                                data-toggle="modal" data-placement="top" title=""
                                                                data-original-title="เพิ่มเลขพัสดุ" data-target="#ConfirmTracking_<%=result.id %>"><svg
                                                                    xmlns="http://www.w3.org/2000/svg" width="24"
                                                                    height="24" viewBox="0 0 24 24" fill="none"
                                                                    stroke="currentColor" stroke-width="2"
                                                                    stroke-linecap="round" stroke-linejoin="round"
                                                                    class="feather feather-truck table-confirm">
                                                                    <rect x="1" y="3" width="15" height="13"></rect>
                                                                    <polygon points="16 8 20 8 23 11 23 16 16 16 16 8">
                                                                    </polygon>
                                                                    <circle cx="5.5" cy="18.5" r="2.5"></circle>
                                                                    <circle cx="18.5" cy="18.5" r="2.5"></circle>
                                                                </svg></a>
                                                                <% } %>
                                                                <a href="javascript:void(0);" class="bs-tooltip"
                                                                data-toggle="tooltip" data-placement="top" title=""
                                                                data-original-title="ยกเลิก" onclick="btnconfirmCancel('<%=result.id %>','<%=result.order_number %>')"><svg
                                                                    xmlns="http://www.w3.org/2000/svg" width="24"
                                                                    height="24" viewBox="0 0 24 24" fill="none"
                                                                    stroke="currentColor" stroke-width="2"
                                                                    stroke-linecap="round" stroke-linejoin="round"
                                                                    class="feather feather-x-circle table-cancel">
                                                                    <circle cx="12" cy="12" r="10"></circle>
                                                                    <line x1="15" y1="9" x2="9" y2="15"></line>
                                                                    <line x1="9" y1="9" x2="15" y2="15"></line>
                                                                </svg></a>
                                                        </td>
                                                    </tr>
                                               <%})%>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                    <div class="tab-pane fade" id="delivery" role="tabpanel"
                                        aria-labelledby="border-contact-tab">
                                        <div class="table-responsive mb-4 style-4">
                                            <table id="style-4" class="table style-4 table-hover">
                                                <thead>
                                                    <tr>
                                                        <th class="checkbox-column"> Record Id </th>
                                                        <th>ลำดับ</th>
                                                        <th>ช่องทาง</th>
                                                        <th>เลขออเดอร์</th>
                                                        <th>ชื่อลูกค้า</th>
                                                        <th>นามสกุล</th>
                                                        <th>เบอร์โทร</th>
                                                        <th>ปลายทาง</th>
                                                        <th>ขนส่ง</th>
                                                        <th>TRACKING</th>
                                                        <th class="text-center">Status</th>
                                                        <th>วันที่สั่งซื้อ</th>
                                                        <th class="text-center">Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <%let l = 0; data.filter((e)=> e.delivery_status === 1 && (e.order_status === 3 || e.order_status === 1 || e.order_status === 6)).forEach((result)=>{ l++;%>
                                                    <tr>
                                                        <td class="checkbox-column"> 1 </td>
                                                        <td><%=l%></td>
                                                        <td>
                                                            <span><img src="<%=result.channel_image%>"
                                                                    class="rounded-circle profile-img" alt="avatar"
                                                                    width="50px" height="50px"></span>
                                                        </td>
                                                        <td><%=result.order_number%></td>
                                                        <td><%=result.first_name%></td>
                                                        <td><%=result.last_name%></td>
                                                        <td><%=result.tel%></td>
                                                        <td><%=result.province%></td>
                                                        <td>
                                                            <span><img src="assets/img/90x90.jpg"
                                                                    class="rounded-circle profile-img" alt="avatar"
                                                                    width="50px" height="50px"></span>
                                                        </td>
                                                        <td><%=result.courier_tracking%></td>
                                                        <td class="text-center"><span
                                                                class="shadow-none badge badge-warning">กำลังจัดส่ง</span>
                                                        </td>
                                                        <td><%=result.order_date%></td>
                                                        <td class="text-center"><a href="javascript:void(0);" class="bs-tooltip"
                                                            data-toggle="tooltip" data-placement="top" title=""
                                                            data-original-title="ยกเลิก" onclick="btnconfirmCancel('<%=result.id %>','<%=result.order_number %>')"><svg
                                                                xmlns="http://www.w3.org/2000/svg" width="24"
                                                                height="24" viewBox="0 0 24 24" fill="none"
                                                                stroke="currentColor" stroke-width="2"
                                                                stroke-linecap="round" stroke-linejoin="round"
                                                                class="feather feather-x-circle table-cancel">
                                                                <circle cx="12" cy="12" r="10"></circle>
                                                                <line x1="15" y1="9" x2="9" y2="15"></line>
                                                                <line x1="9" y1="9" x2="15" y2="15"></line>
                                                            </svg></a></td>
                                                    </tr>
                                                    <%})%>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                    <div class="tab-pane fade" id="success" role="tabpanel"
                                        aria-labelledby="border-contact-tab">
                                        <div class="table-responsive mb-4 style-5">
                                            <table id="style-5" class="table style-5 table-hover">
                                                <thead>
                                                    <tr>
                                                        <th class="checkbox-column"> Record Id </th>
                                                        <th>ลำดับ</th>
                                                        <th>ช่องทาง</th>
                                                        <th>เลขออเดอร์</th>
                                                        <th>ชื่อลูกค้า</th>
                                                        <th>นามสกุล</th>
                                                        <th>เบอร์โทร</th>
                                                        <th>ปลายทาง</th>
                                                        <th>ขนส่ง</th>
                                                        <th>TRACKING</th>
                                                        <th class="text-center">Status</th>
                                                        <th>วันที่สั่งซื้อ</th>
                                                        <th class="text-center">Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <%let o = 0; data.filter((e)=> e.delivery_status === 2 && e.order_status === 4).forEach((result)=>{ o++;%>
                                                    <tr>
                                                        <td class="checkbox-column">  </td>
                                                        <td><%=o%></td>
                                                        <td>
                                                            <span><img src="<%=result.channel_image%>"
                                                                    class="rounded-circle profile-img" alt="avatar"
                                                                    width="50px" height="50px"></span>
                                                        </td>
                                                        <td><%=result.order_number%></td>
                                                        <td><%=result.first_name%></td>
                                                        <td><%=result.last_name%></td>
                                                        <td><%=result.tel%></td>
                                                        <td><%=result.province%></td>
                                                        <td>
                                                            <span><img src="assets/img/90x90.jpg"
                                                                    class="rounded-circle profile-img" alt="avatar"
                                                                    width="50px" height="50px"></span>
                                                        </td>
                                                        <td><%=result.courier_tracking%></td>
                                                        <td class="text-center"><span
                                                                class="shadow-none badge badge-success">ส่งสำเร็จ</span>
                                                        </td>
                                                        <td>2011/04/25 21:42</td>
                                                        <td class="text-center"><a href="javascript:void(0);" class="bs-tooltip"
                                                            data-toggle="tooltip" data-placement="top" title=""
                                                            data-original-title="ยกเลิก" onclick="btnconfirmCancel('<%=result.id %>','<%=result.order_number %>')"><svg
                                                                xmlns="http://www.w3.org/2000/svg" width="24"
                                                                height="24" viewBox="0 0 24 24" fill="none"
                                                                stroke="currentColor" stroke-width="2"
                                                                stroke-linecap="round" stroke-linejoin="round"
                                                                class="feather feather-x-circle table-cancel">
                                                                <circle cx="12" cy="12" r="10"></circle>
                                                                <line x1="15" y1="9" x2="9" y2="15"></line>
                                                                <line x1="9" y1="9" x2="15" y2="15"></line>
                                                            </svg></a></td>
                                                    </tr>
                                                   <%})%>
                                                    
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                    <div class="tab-pane fade" id="cancel" role="tabpanel"
                                        aria-labelledby="border-contact-tab">
                                        <div class="table-responsive mb-4 style-6">
                                            <table id="style-6" class="table style-6 table-hover">
                                                <thead>
                                                    <tr>
                                                        <th class="checkbox-column"> Record Id </th>
                                                        <th>ลำดับ</th>
                                                        <th>ช่องทาง</th>
                                                        <th>เลขออเดอร์</th>
                                                        <th>ชื่อลูกค้า</th>
                                                        <th>นามสกุล</th>
                                                        <th>เบอร์โทร</th>
                                                        <th>ปลายทาง</th>
                                                        <th>ขนส่ง</th>
                                                        <th>TRACKING</th>
                                                        <th class="text-center">Status</th>
                                                        <th>วันที่สั่งซื้อ</th>
                                                        <th class="text-center">Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <%let c = 0; data.filter((e)=> e.delivery_status === 5 || e.order_status === 5).forEach((result)=>{ c++;%>
                                                    <tr>
                                                        <td class="checkbox-column"> 1 </td>
                                                        <td><%=c%></td>
                                                        <td>
                                                            <span><img src="<%=result.channel_image%>"
                                                                    class="rounded-circle profile-img" alt="avatar"
                                                                    width="50px" height="50px"></span>
                                                        </td>
                                                        <td><%=result.order_number%></td>
                                                        <td><%=result.first_name%></td>
                                                        <td><%=result.last_name%></td>
                                                        <td><%=result.tel%></td>
                                                        <td><%=result.province%></td>
                                                        <td>
                                                            <span><img src="assets/img/90x90.jpg"
                                                                    class="rounded-circle profile-img" alt="avatar"
                                                                    width="50px" height="50px"></span>
                                                        </td>
                                                        <td><%=result.courier_tracking%></td>
                                                        <td class="text-center"><span
                                                                class="shadow-none badge badge-danger">
                                                                <% if(result.delivery_status == 5){ %>
                                                                    ตีกลับ
                                                                <% } else if(result.delivery_status == 3 || result.order_status == 5) { %>
                                                                    ยกเลิก
                                                                <% } %>
                                                            </span>
                                                        </td>
                                                        <td><%=result.order_date%></td>
                                                        <td class="text-center"><a href="javascript:void(0);"
                                                                class="bs-tooltip" data-toggle="tooltip"
                                                                data-placement="top" title=""
                                                                data-original-title="Delete"><svg
                                                                    xmlns="http://www.w3.org/2000/svg" width="24"
                                                                    height="24" viewBox="0 0 24 24" fill="none"
                                                                    stroke="currentColor" stroke-width="2"
                                                                    stroke-linecap="round" stroke-linejoin="round"
                                                                    class="feather feather-x-circle table-cancel">
                                                                    <circle cx="12" cy="12" r="10"></circle>
                                                                    <line x1="15" y1="9" x2="9" y2="15"></line>
                                                                    <line x1="9" y1="9" x2="15" y2="15"></line>
                                                                </svg></a></td>
                                                    </tr>
                                                    <%})%>
                                                  
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>



                <!-- </div> -->

            </div>
            <div class="footer-wrapper">
                <div class="footer-section f-section-1">
                    <p class="">Copyright © 2023 <a target="_blank" href="https://www.awbg.co.th/"> Absolute Well Being
                            Group Co.,Ltd.</a>, All
                        rights reserved.</p>
                </div>
                <div class="footer-section f-section-2">
                    <p class="">Coded with <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                            stroke-linecap="round" stroke-linejoin="round" class="feather feather-heart">
                            <path
                                d="M20.84 4.61a5.5 5.5 0 0 0-7.78 0L12 5.67l-1.06-1.06a5.5 5.5 0 0 0-7.78 7.78l1.06 1.06L12 21.23l7.78-7.78 1.06-1.06a5.5 5.5 0 0 0 0-7.78z">
                            </path>
                        </svg> LISH THAILAND</p>
                </div>
            </div>
        </div>
        <!--  END CONTENT AREA  -->

    </div>
    <!-- END MAIN CONTAINER -->

    <!-- Modal -->
    <%  data.filter((e)=> e.payment_status === 1).forEach((result)=>{ i++;%>
    <div class="modal fade" id="ConfirmSlip_<%=result.id%>" tabindex="-1" role="dialog" aria-labelledby="ConfirmSlipTitle"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="ConfirmSlipTitle">ยืนยันสลิป <b class="text-success"><%=result.order_number %></b></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <svg aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                            stroke-linecap="round" stroke-linejoin="round" class="feather feather-x">
                            <line x1="18" y1="6" x2="6" y2="18"></line>
                            <line x1="6" y1="6" x2="18" y2="18"></line>
                        </svg>
                    </button>
                </div>
                <div class="modal-body text-center">
                    <img src="http://128.199.100.251:1001/<%=result.images%>" width="300px"
                        height="auto">
                </div>
                <div class="modal-footer">
                    <button class="btn" data-dismiss="modal"><i class="flaticon-cancel-12"></i> ยกเลิกสลิป</button>
                    <button type="button" class="btn btn-primary" onclick="btnconfirmSlip('<%=result.id%>','<%=result.order_number%>')">ยืนยันสลิป</button>
                </div>
            </div>
        </div>
    </div>
    <%})%>
    <!-- Modal -->
    <%  data.filter((e)=> e.order_status === 3).forEach((result)=>{ i++;%>
    <div class="modal fade" id="ConfirmTracking_<%=result.id %>" tabindex="-1" role="dialog" aria-labelledby="ConfirmTrackingTitle"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="ConfirmTrackingTitle">เพิ่มเลขพัสดุ <b class="text-success"><%=result.first_name +' '+ result.last_name%></b></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <svg aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                            stroke-linecap="round" stroke-linejoin="round" class="feather feather-x">
                            <line x1="18" y1="6" x2="6" y2="18"></line>
                            <line x1="6" y1="6" x2="18" y2="18"></line>
                        </svg>
                    </button>
                </div>
                <div class="modal-body">
                <div class="form-group mb-4">
                    <label for="">เลือกขนส่ง</label>
                    <select class="form-control" id="delivery_insert_<%=result.id %>">
                        <option value="0">เลือกขนส่ง</option>
                        <% delivery_shop.forEach((element)=>{ %>
                            <option value="<%=element.id %>" ><%=element.delivery_name %></option>
                        <% }) %>
                    </select>
                </div>
                <div class="form-group mb-4">
                    <label for="">เลขพัสดุ</label>
                    <input type="text" class="form-control" id="tracking_code_<%=result.id %>" placeholder="ใส่เลขพัสดุ">
                </div>
                </div>
                <div class="modal-footer">
                    <button class="btn" data-dismiss="modal" onclick="btnconfirmCancel('<%=result.id %>','<%=result.order_number %>')"><i class="flaticon-cancel-12"></i> ยกเลิกสลิป</button>
                    <button type="button" class="btn btn-primary" onclick="update_delivery('<%=result.id %>')">ยืนยันสลิป</button>
                </div>
            </div>
        </div>
    </div>
    <%})%>

    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <%-include('./partials/scripts')%>

    <script>
        $(document).ready(function () {
            $('#Manage').addClass('active')
            $('#Manage > a').attr('aria-expanded',true)
            App.init();
        });

        const btnconfirmSlip = (id,order_number) =>{
            swalTwoSubmit(`คุณแน่ใจหรือไม่ที่จะยืนยัน ${order_number}`).then((result)=>{
                if (result.isConfirmed) {
                axios.post('/Manageorder/UpdateOrder',{id:id,status:2}).then((resultaxios)=>{
                    swalRedirect('success','บันทึกข้อมูลสำเร็จ','/Manageorder')
                })
                } 
            })
        }
        
        const btnconfirmWaiting = (id,order_number) =>{
            swalTwoSubmit(`คุณแน่ใจหรือไม่ที่จะยืนยัน ${order_number}`).then((result)=>{
                if (result.isConfirmed) {
                axios.post('/Manageorder/UpdateOrder',{id:[{order_number:order_number}],status:3}).then((resultaxios)=>{
                    if(resultaxios.data.Message == 'Success'){
                        swalRedirect('success','บันทึกข้อมูลสำเร็จ','/Manageorder')
                    }else{
                        Swal.fire('บันทึกข้อมูลไม่สำเร็จ',resultaxios.data.Message,'error')
                    }
                })
                } 
            })
        }

        const btnconfirmCancel = (id,order_number) =>{
            swalTwoSubmit(`คุณแน่ใจหรือไม่ที่จะยกเลิก ${order_number}`).then((result)=>{
                if (result.isConfirmed) {
                axios.post('/Manageorder/UpdateOrder',{id:[{order_number:order_number}],status:5}).then((resultaxios)=>{
                    swalRedirect('success','บันทึกข้อมูลสำเร็จ','/Manageorder')
                })
                } 
            })
        }

        function edit(order_number){
            window.open('/Manageorder/updateorder'+order_number)
        }

        $('#up_status').on('click',(e)=>{
            let status = parseInt($('#status_waiting').val())
            axios.post('/Manageorder/UpdateOrder',{id:order,status:status}).then((resultaxios)=>{
                if(resultaxios.data.Message == 'Success'){
                    swalRedirect('success','บันทึกข้อมูลสำเร็จ','/Manageorder')
                }else{
                    swalRedirect('error',resultaxios.data.Message,'/Manageorder')
                }
                
            })
        })
    
        const update_delivery = (id) =>{
            if($('#delivery_insert_'+id).val() == 0){Swal.fire('โปรดเลือกขนส่ง','','warning')}
            else if($('#tracking_code_'+id).val() == ''){Swal.fire('โปรดกรอกเลขพัสดุ','','warning')}
            else{
                axios.post('/ManageOrder/UpdateDelivery',{id:id,delivery:$('#delivery_insert_'+id).val(),tracking_code:$('#tracking_code_'+id).val()})
                .then((response)=>{
                    if(response.data.Message == 'Success'){
                        Swal.fire('บันทึกเลขขนส่งสำเร็จ',$('#tracking_code_'+id).val(),'success').then(()=>{
                            location.reload()
                        })
                    }else{
                        Swal.fire('บันทึกเลขขนส่งไม่สำเร็จ',$('#tracking_code_'+id).val(),'warning')
                    }
                })
            }
        }
    
    </script>

    <!-- END GLOBAL MANDATORY STYLES -->

    <script>
        let order 
        let pdf
        let slip
        // var e;
        c1 = $('#style-1').DataTable({
            headerCallback: function (e, a, t, n, s) {
                e.getElementsByTagName("th")[0].innerHTML = '<label class="new-control new-checkbox checkbox-outline-primary m-auto">\n<input type="checkbox" class="new-control-input chk-parent select-customers-info" id="customer-all-info">\n<span class="new-control-indicator"></span><span style="visibility:hidden">c</span>\n</label>'
            },
            columnDefs: [{
                targets: 0, width: "30px", className: "", orderable: !1, render: function (e, a, t, n) {
                    return '<label class="new-control new-checkbox checkbox-outline-primary  m-auto">\n<input type="checkbox" class="new-control-input child-chk select-customers-info" id="customer-all-info">\n<span class="new-control-indicator"></span><span style="visibility:hidden">c</span>\n</label>'
                }
            }],
            "oLanguage": {
                "oPaginate": { "sPrevious": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-left"><line x1="19" y1="12" x2="5" y2="12"></line><polyline points="12 19 5 12 12 5"></polyline></svg>', "sNext": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-right"><line x1="5" y1="12" x2="19" y2="12"></line><polyline points="12 5 19 12 12 19"></polyline></svg>' },
                "sInfo": "Showing page _PAGE_ of _PAGES_",
                "sSearch": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line></svg>',
                "sSearchPlaceholder": "Search...",
                "sLengthMenu": "Results :  _MENU_",
            },
            "lengthMenu": [5, 10, 20, 50],
            "pageLength": 5
        });

        multiCheck(c1);

        c2 = $('#style-2').DataTable({
            headerCallback: function (e, a, t, n, s) {
                e.getElementsByTagName("th")[0].innerHTML = '<label class="new-control new-checkbox checkbox-outline-primary m-auto">\n<input type="checkbox" class="new-control-input chk-parent select-customers-info" id="customer-all-info">\n<span class="new-control-indicator"></span><span style="visibility:hidden">c</span>\n</label>'
            },
            columnDefs: [{
                targets: 0, width: "30px", className: "", orderable: !1, render: function (e, a, t, n) {
                    return '<label class="new-control new-checkbox checkbox-outline-primary  m-auto">\n<input type="checkbox" class="new-control-input child-chk select-customers-info" id="customer-all-info">\n<span class="new-control-indicator"></span><span style="visibility:hidden">c</span>\n</label>'
                }
            }],
            "oLanguage": {
                "oPaginate": { "sPrevious": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-left"><line x1="19" y1="12" x2="5" y2="12"></line><polyline points="12 19 5 12 12 5"></polyline></svg>', "sNext": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-right"><line x1="5" y1="12" x2="19" y2="12"></line><polyline points="12 5 19 12 12 19"></polyline></svg>' },
                "sInfo": "Showing page _PAGE_ of _PAGES_",
                "sSearch": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line></svg>',
                "sSearchPlaceholder": "Search...",
                "sLengthMenu": "Results :  _MENU_",
            },
            "lengthMenu": [5, 10, 20, 50],
            "pageLength": 5
        });

        multiCheck(c2);

        c3 = $('#style-3').DataTable({
            headerCallback: function (e, a, t, n, s) {
                e.getElementsByTagName("th")[0].innerHTML = '<label class="new-control new-checkbox checkbox-outline-primary m-auto">\n<input type="checkbox" class="new-control-input chk-parent select-customers-info" id="customer-all-info">\n<span class="new-control-indicator"></span><span style="visibility:hidden">c</span>\n</label>'
            },
            columnDefs: [{
                targets: 0, width: "30px", className: "", orderable: !1, render: function (e, a, t, n) {
                    return '<label class="new-control new-checkbox checkbox-outline-primary  m-auto">\n<input type="checkbox" class="new-control-input child-chk select-customers-info" id="customer-all-info">\n<span class="new-control-indicator"></span><span style="visibility:hidden">c</span>\n</label>'
                }
            }],
            "oLanguage": {
                "oPaginate": { "sPrevious": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-left"><line x1="19" y1="12" x2="5" y2="12"></line><polyline points="12 19 5 12 12 5"></polyline></svg>', "sNext": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-right"><line x1="5" y1="12" x2="19" y2="12"></line><polyline points="12 5 19 12 12 19"></polyline></svg>' },
                "sInfo": "Showing page _PAGE_ of _PAGES_",
                "sSearch": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line></svg>',
                "sSearchPlaceholder": "Search...",
                "sLengthMenu": "Results :  _MENU_",
            },
            "lengthMenu": [5, 10, 20, 50],
            "pageLength": 5
        });

        multiCheck(c3);

        c4 = $('#style-4').DataTable({
            headerCallback: function (e, a, t, n, s) {
                e.getElementsByTagName("th")[0].innerHTML = '<label class="new-control new-checkbox checkbox-outline-primary m-auto">\n<input type="checkbox" class="new-control-input chk-parent select-customers-info" id="customer-all-info">\n<span class="new-control-indicator"></span><span style="visibility:hidden">c</span>\n</label>'
            },
            columnDefs: [{
                targets: 0, width: "30px", className: "", orderable: !1, render: function (e, a, t, n) {
                    return '<label class="new-control new-checkbox checkbox-outline-primary  m-auto">\n<input type="checkbox" class="new-control-input child-chk select-customers-info" id="customer-all-info">\n<span class="new-control-indicator"></span><span style="visibility:hidden">c</span>\n</label>'
                }
            }],
            "oLanguage": {
                "oPaginate": { "sPrevious": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-left"><line x1="19" y1="12" x2="5" y2="12"></line><polyline points="12 19 5 12 12 5"></polyline></svg>', "sNext": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-right"><line x1="5" y1="12" x2="19" y2="12"></line><polyline points="12 5 19 12 12 19"></polyline></svg>' },
                "sInfo": "Showing page _PAGE_ of _PAGES_",
                "sSearch": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line></svg>',
                "sSearchPlaceholder": "Search...",
                "sLengthMenu": "Results :  _MENU_",
            },
            "lengthMenu": [5, 10, 20, 50],
            "pageLength": 5
        });

        multiCheck(c4);

        c5 = $('#style-5').DataTable({
            headerCallback: function (e, a, t, n, s) {
                e.getElementsByTagName("th")[0].innerHTML = '<label class="new-control new-checkbox checkbox-outline-primary m-auto">\n<input type="checkbox" class="new-control-input chk-parent select-customers-info" id="customer-all-info">\n<span class="new-control-indicator"></span><span style="visibility:hidden">c</span>\n</label>'
            },
            columnDefs: [{
                targets: 0, width: "30px", className: "", orderable: !1, render: function (e, a, t, n) {
                    return '<label class="new-control new-checkbox checkbox-outline-primary  m-auto">\n<input type="checkbox" class="new-control-input child-chk select-customers-info" id="customer-all-info">\n<span class="new-control-indicator"></span><span style="visibility:hidden">c</span>\n</label>'
                }
            }],
            "oLanguage": {
                "oPaginate": { "sPrevious": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-left"><line x1="19" y1="12" x2="5" y2="12"></line><polyline points="12 19 5 12 12 5"></polyline></svg>', "sNext": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-right"><line x1="5" y1="12" x2="19" y2="12"></line><polyline points="12 5 19 12 12 19"></polyline></svg>' },
                "sInfo": "Showing page _PAGE_ of _PAGES_",
                "sSearch": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line></svg>',
                "sSearchPlaceholder": "Search...",
                "sLengthMenu": "Results :  _MENU_",
            },
            "lengthMenu": [5, 10, 20, 50],
            "pageLength": 5
        });

        multiCheck(c5);

        c6 = $('#style-6').DataTable({
            headerCallback: function (e, a, t, n, s) {
                e.getElementsByTagName("th")[0].innerHTML = '<label class="new-control new-checkbox checkbox-outline-primary m-auto">\n<input type="checkbox" class="new-control-input chk-parent select-customers-info" id="customer-all-info">\n<span class="new-control-indicator"></span><span style="visibility:hidden">c</span>\n</label>'
            },
            columnDefs: [{
                targets: 0, width: "30px", className: "", orderable: !1, render: function (e, a, t, n) {
                    return '<label class="new-control new-checkbox checkbox-outline-primary  m-auto">\n<input type="checkbox" class="new-control-input child-chk select-customers-info" id="customer-all-info">\n<span class="new-control-indicator"></span><span style="visibility:hidden">c</span>\n</label>'
                }
            }],
            "oLanguage": {
                "oPaginate": { "sPrevious": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-left"><line x1="19" y1="12" x2="5" y2="12"></line><polyline points="12 19 5 12 12 5"></polyline></svg>', "sNext": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-right"><line x1="5" y1="12" x2="19" y2="12"></line><polyline points="12 5 19 12 12 19"></polyline></svg>' },
                "sInfo": "Showing page _PAGE_ of _PAGES_",
                "sSearch": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line></svg>',
                "sSearchPlaceholder": "Search...",
                "sLengthMenu": "Results :  _MENU_",
            },
            "lengthMenu": [5, 10, 20, 50],
            "pageLength": 5
        });

        multiCheck(c6);

        $(".checkbox-columnall-w").on("click", function() {
            $(".style-2 .checkbox-column-w").click();
            if($(".style-2 .chk-parent").is(":checked")){
                $(".style-2 .child-chk").prop('checked',false)
            }else{
                $(".style-2 .child-chk").prop('checked',true)
            }
        })

        $("#style-2").on("click",'.checkbox-column-w', async function() {
            var data = []; 
            await  $("table.style-2 > tbody > tr").each(function () {
            var $tr = $(this);
            if ($tr.find(".child-chk").is(":checked")) {
                // console.log($tr.find("td.order_number")[0])
                data.push({
                    order_number: $tr.find("td.order_number")[0].innerHTML
                });
            }
            });
            console.clear();
            console.log(JSON.stringify(data));
            order = data
        });

        $(".checkbox-columnall-d").on("click", function() {
            $(".style-3 .checkbox-column-d").click();
            if($(".style-3 .chk-parent").is(":checked")){
                $(".style-3 .child-chk").prop('checked',false)
            }else{
                $(".style-3 .child-chk").prop('checked',true)
            }
        })

        $("#style-3").on("click",'.checkbox-column-d', async function() {
            var data = []; 
            await  $("table.style-3 > tbody > tr").each(function () {
                var $tr = $(this);
                if ($tr.find(".child-chk").is(":checked")) {
                    $(".multiCheckbox").removeAttr('hidden',true)
                    data.push({
                        order_number: $tr.find("td.order_number")[0].innerHTML
                    });
                }
            });
            pdf = data
        });

        $(".checkbox-columnall-s").on("click", function() {
            $(".style-1 .checkbox-column-s").click();
            if($(".style-1 .chk-parent").is(":checked")){
                $(".style-1 .child-chk").prop('checked',false)
            }else{
                $(".style-1 .child-chk").prop('checked',true)
            }
        })

        $("#style-1").on("click",'.checkbox-column-s', async function() {
            var data = []; 
            await  $("table.style-1 > tbody > tr").each(function () {
                var $tr = $(this);
                if ($tr.find(".child-chk").is(":checked")) {
                    $(".multiCheckbox").removeAttr('hidden',true)
                    data.push({
                        order_number: $tr.find("td.order_number")[0].innerHTML,
                        id: $tr.find("td.id")[0].innerHTML
                    });
                }
            });
            slip = data
            console.log(slip)
        });

        $('#pdf').on('click',(e)=>{
            let data = ``
            pdf.forEach(element => {
                data += element.order_number
                data += `,`
            });
            data += ``
            window.open('/ManageOrder/export' +data)
        })

        function print(order_number){
            window.open('/ManageOrder/export' +order_number)
        }

        document.getElementById('add').addEventListener('click',(e)=>{window.open('/ManageOrder/AddOrder')})

        $('#slip_btn').on('click',(e)=>{
            // console.log($('#slip_select').val())
            // console.log(1)
            if(parseInt($('#slip_select').val()) == 2){
                slip.forEach((element)=>{
                    axios.post('/Manageorder/UpdateOrder',{id:element.id,status:2})
                    .catch((err)=>{swalRedirect('error','บันทึกข้อมูลไม่สำเร็จ','/Manageorder')})
                })
                swalRedirect('success','บันทึกข้อมูลสำเร็จ','/Manageorder')
            } else if(parseInt($('#slip_select').val()) == 5){
                slip.forEach((element)=>{
                    console.log(element)
                    axios.post('/Manageorder/UpdateOrder',{id:[{order_number:element.order_number}],status:5})
                    .catch((err)=>{swalRedirect('error','บันทึกข้อมูลไม่สำเร็จ','/Manageorder')})
                })
                swalRedirect('success','บันทึกข้อมูลสำเร็จ','/Manageorder')
            }else{
                Swal.fire('กรุณาเลือกสถานะที่ต้องการ','','warning')
            }
        })

    </script>
    <!-- END PAGE LEVEL SCRIPTS -->
</body>

</html>